Page MenuHomePhabricator

Notice about diff over multiple revisions missing in visual diffs
Closed, ResolvedPublic

Description

When you view a diff of more than one revision, there is a notice on top about how many revisions and how many users the displayed diff spans (e.g. https://de.wikipedia.org/w/index.php?title=What_the_Tortoise_Said_to_Achilles&type=revision&diff=172818764&oldid=157760369&diffmode=source).
This notice is missing when viewing a visual diff, though it is equally useful there.

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterve.init.mw.DiffPage.init: Detect extra diff header rows

Event Timeline

Schnark created this task.May 5 2018, 8:33 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptMay 5 2018, 8:33 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Deskana triaged this task as Medium priority.May 8 2018, 6:48 PM
Deskana edited projects, added VisualEditor (Current work); removed VisualEditor.

Change 431854 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] ve.init.mw.DiffPage.init: Detect extra diff header rows

https://gerrit.wikimedia.org/r/431854

matmarex claimed this task.May 8 2018, 8:07 PM
matmarex moved this task from Incoming to Code review on the VisualEditor (Current work) board.

Change 431854 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] ve.init.mw.DiffPage.init: Detect extra diff header rows

https://gerrit.wikimedia.org/r/431854

Deskana closed this task as Resolved.May 10 2018, 9:22 AM
Vvjjkkii renamed this task from Notice about diff over multiple revisions missing in visual diffs to ikdaaaaaaa.Jul 1 2018, 1:12 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed matmarex as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from ikdaaaaaaa to Notice about diff over multiple revisions missing in visual diffs.Jul 2 2018, 2:00 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to matmarex.
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.